/**
 * <copyright>
 * </copyright>
 *
 * $Id: RenderedObjectValidator.java,v 1.1 2008-04-01 09:35:44 vmahe Exp $
 */
package orgomg.cwm.analysis.informationvisualization.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.informationvisualization.RenderedObject;
import orgomg.cwm.analysis.informationvisualization.Rendering;

import orgomg.cwm.foundation.expressions.ExpressionNode;

import orgomg.cwm.objectmodel.core.ModelElement;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.informationvisualization.RenderedObject}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface RenderedObjectValidator {
	boolean validate();

	boolean validateFormula(ExpressionNode value);
	boolean validateAction(String value);
	boolean validateFileName(String value);
	boolean validateType(String value);
	boolean validateUrl(String value);
	boolean validateComposite(EList<RenderedObject> value);
	boolean validateComponent(EList<RenderedObject> value);
	boolean validateDefaultRendering(Rendering value);
	boolean validateModelElement(ModelElement value);
	boolean validateNeighbor(EList<RenderedObject> value);
	boolean validateReferencingNeighbor(EList<RenderedObject> value);
}
